/**
 * 拉流engine
 * */

#ifndef INC_APIENGINE_H
#define INC_APIENGINE_H

#include <arpa/inet.h>
#include "AppCommon.h"

#include "EngineBase.h"
#include "EngineFactory.h"

#include "MyYaml.h"

#include "json/json.h"
#include "httplib.h"

//#define RTSP_PULL_CAMERA_VIDEO_STREAM
class ApiEngine : public ai_matrix::EngineBase
{
public:
    ApiEngine();
    ~ApiEngine();

    APP_ERROR Init() override;
    APP_ERROR DeInit() override;
    APP_ERROR Process() override;

protected:

private:
    std::string strPort0_;
    std::string strPort1_;

    std::string queryDataSource(const std::string &req);
};

ENGINE_REGIST(ApiEngine)

#endif
